# Caching Proxy

*a stupid simple http caching proxy with an S3 backend*

Configure by placing a file `caching-proxy.json` in the working directory:

```json
{
    "s3": {
        "endpoint": "my.minio.endpoint",
        "access_key_id": "aaaa",
        "secret_access_key": "bbbb",
        "bucket": "muh-bucket"
    },
    "bind": ":8080"
}
```

Requests to the HTTP server expect the first path component to be the upstream domain, and the rest of the path to be the upstream path. Only HTTPS upstreams are supported.

currently only s3 backend is supported, a future update may include a mechanism to use the local disk.
